=== modified file 'NEWS'
--- NEWS	2008-03-30 15:59:51 +0000
+++ NEWS	2008-04-01 10:18:53 +0000
@@ -4,6 +4,8 @@
 
   * Removed tortoise-bzr, which now has its own project (http://launchpad.net/tortoisebzr)
 
+  * Use new D-Bus revision signal. (James Henstridge, #206443)
+
  UI
 
   * Made the tags associated with a revision render next to the revision

=== modified file '__init__.py'
--- __init__.py	2008-04-01 09:59:41 +0000
+++ __init__.py	2008-04-01 10:18:53 +0000
@@ -540,12 +540,8 @@
         from bzrlib.transport import get_transport
         if getattr(dbus, 'version', (0,0,0)) >= (0,41,0):
             import dbus.glib
-        from bzrlib.plugins.dbus import activity
+        BROADCAST_INTERFACE = "org.bazaarvcs.plugins.dbus.Broadcast"
         bus = dbus.SessionBus()
-        # get the object so we can subscribe to callbacks from it.
-        broadcast_service = bus.get_object(
-            activity.Broadcast.DBUS_NAME,
-            activity.Broadcast.DBUS_PATH)
 
         def catch_branch(revision_id, urls):
             # TODO: show all the urls, or perhaps choose the 'best'.
@@ -582,8 +578,9 @@
             except Exception, e:
                 print e
                 raise
-        broadcast_service.connect_to_signal("Revision", catch_branch,
-            dbus_interface=activity.Broadcast.DBUS_INTERFACE)
+        bus.add_signal_receiver(catch_branch,
+                                dbus_interface=BROADCAST_INTERFACE,
+                                signal_name="Revision")
         pynotify.init("bzr commit-notify")
         gtk.main()
 

